SFTP(1)

NOMBRE
sftp - OpenSSH Transferencia segura de archivos

SINOPSIS
sftp [-46AaCfNpqrv] [-B tamaño de búfer] [-b archivo_por_lotes] [-c cifrado] [-D orden_de_servidor_sftp] [-F configuración_ssh] [-i archivo_de_identidad] [-J destino] [-l límite] [-o opción_de_ssh] [-P puerto] [-R número_solicitudes] [-S programa] [-s subsistema | servidor_sftp] [-X opción_sftp] destino

DESCRIPCIÓN
sftp es un programa de transferencia de archivos, similar a ftp(1), que realiza todas sus operaciones mediante un transporte cifrado ssh(1). También puede utilizar muchas funciones de ssh, como la autenticación de clave pública y la compresión.

El destino puede definirse como [usuario@]equipo[:ruta] o como una URI con el formato sftp://[usuario@]equipo[:puerto][/ruta].

Si el destino incluye una ruta y no es un directorio, sftp recuperará automáticamente los achivos si se utiliza un método de autenticación no interactivo, sino lo hará tras una autenticación interactiva exitosa.

Si no se especifica ninguna ruta, o si ésta es un directorio, sftp iniciará sesión en el equipo file ... especificado y entrará en el modo de ordenes interactivas, cambiando al directorio remoto si se indicó uno. Se puede usar una barra diagonal final opcional para que file ... se interprete como un directorio.

Dado que los formatos de destino utilizan dos puntos para separar los nombres de eqipo de las rutas o los números de puerto, las direcciones IPv6 deberán ir entre corchetes para evitar ambigüedades.

Las opciones son las siguientes:

-4  Fuerza a sftp a usar solo direcciones IPv4.

-6  Fuerza a sftp a usar solo direcciones IPv6.

-A  Permite el reenvío de ssh-agent(1) al sistema remoto. El valor predeterminado es no reenviar un agente de autenticación.

-a  Intenta continuar las transferencias interrumpidas en lugar de sobrescribir copias parciales o completas de los archivos. Si el contenido parcial difiere del que se transfiere, es probable que el archivo resultante esté dañado.

-B buffer_size
    Define el tamaño del búfer que utiliza sftp al transferir archivos. Los búferes más grandes requieren menos recorridos de ida y vuelta, pero consumen más memoria. El valor predeterminado es de 32768 bytes.

-b archivo_por_lotes
    El modo por lotes lee una serie de órdenes desde un archivo de entrada archivo_por_lotes en lugar de por la entrada estándar. Dado que no requiere interacción del usuario, debe usarse junto con la autenticación no interactiva para evitar la necesidad de introducir una contraseña al conectarse (consulte sshd(8) y ssh-keygen(1)).

    Se puede usar un archivo de entrada archivo_por_lotes de ‘-’ para indicar la entrada estándar. sftp se cancelará si falla alguna de las siguientes órdenes: get, put, reget, reput, rename, ln, rm, mkdir, chdir, ls, lchdir, copy, cp, chmod, chown, chgrp, lpwd, df, symlink y lmkdir.

    La terminación por error se puede suprimir orden a orden prefijándolas con un carácter ‘-’ (por ejemplo, -rm /tmp/blah*). El eco de la orden se puede suprimir prefijándola con un carácter ‘@’. Estos dos prefijos pueden combinarse en cualquier orden, por ejemplo, -@ls /bsd.

-C  Habilita la compresión (mediante el indicador -C de ssh).

-c cipher
    Selecciona el cifrado para las transferencias de datos. Esta opción se pasa directamente a ssh(1).

-D orden_servidor_sftp
    Conecta directamente a un servidor SFTP local (en lugar de hacerlo a través de ssh(1)). Se puede definir una orden y argumentos, por ejemplo, "/ruta/servidor-sftp -el debug3". Esta opción puede ser útil para depurar el cliente y el servidor.

-F configuración_ssh
    Define un archivo de configuración alternativo por usuario para ssh(1). Esta opción se pasa directamente a ssh(1).

-f  Solicita que los archivos se vuelquen inmediatamente en el disco después de la transferencia. Al subir archivos, esta función solo se habilita si el servidor implementa la extensión «fsync@openssh.com».

-i archivo_de_identidad
    Selecciona el archivo desde el que se lee la identidad (clave privada) para la autenticación de clave pública. Esta opción se pasa directamente a ssh(1).

-J destino
    Se conecta al equipo de destino estableciendo primero una conexión sftp con el equipo de intermedio descrito por destino y, a continuación, se establece un reenvío TCP al destino final desde allí. Se pueden especificar varios intermedios separados por comas. Este es un atajo para especificar una directiva de configuración ProxyJump. Esta opción se pasa directamente a ssh(1).

-l limite
    Limita el ancho de banda utilizado, especificado en kbit/s.

-N  Desactiva el modo silencioso, por ejemplo, para anular el modo silencioso implícito establecido por el indicador -b.

-o ssh_option
    Se puede usar para pasar opciones a ssh en el formato utilizado en ssh_config(5). Suele usarse para especificar opciones que no tienen una línea de órdenes sftp independiente. Por ejemplo, para especificar un puerto alternativo, utilice: sftp -oPort=24. Para obtener más información sobre las opciones que se enumeran a continuación y sus posibles valores, consulte ssh_config(5).

    AddKeysToAgent
    AddressFamily
    BatchMode
    BindAddress
    BindInterface
    CASignatureAlgorithms
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    CertificateFile
    ChannelTimeout
    CheckHostIP
    Ciphers
    ClearAllForwardings
    Compresión
    ConnectTimeout
    ConnectionAttempts
    ControlMaster
    ControlPath
    ControlPersist
    DynamicForward
    EnableEscapeCommandline
    EnableSSHKeysign
    EscapeChar
    ExitOnForwardFailure
    FingerprintHash
    ForkAfterAuthentication
    ForwardAgent
    ForwardX11
    ForwardX11Timeout
    ForwardX11Trusted
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    GatewayPorts
    GlobalKnownHostsFile
    HashKnownHosts
    Host
    HostKeyAlgorithms
    HostKeyAlias
    HostbasedAcceptedAlgorithms
    HostbasedAuthentication
    Hostname
    IPQoS
    IdentitiesOnly
    IdentityAgent
    IdentityFile
    IgnoreUnknown
    Include
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    KnownHostsCommand
    LocalCommand
    LocalForward
    LogLevel
    LogVerbose
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    ObscureKeystrokeTiming
    PKCS11Provider
    PasswordAuthentication
    PermitLocalCommand
    PermitRemoteOpen
    Port
    PreferredAuthentications
    ProxyCommand
    ProxyJump
    ProxyUseFdpass
    PubkeyAcceptedAlgorithms
    PubkeyAuthentication
    RekeyLimit
    RemoteCommand
    RemoteForward
    RequestTTY
    RequiredRSASize
    RevokedHostKeys
    SecurityKeyProvider
    SendEnv
    ServerAliveCountMax
    ServerAliveInterval
    SessionType
    SetEnv
    StdinNull
    StreamLocalBindMask
    StreamLocalBindUnlink
    StrictHostKeyChecking
    SyslogFacility
    TCPKeepAlive
    Tag
    Tunnel
    TunnelDevice
    UpdateHostKeys
    User
    UserKnownHostsFile
    VerifyHostKeyDNS
    VisualHostKey
    XAuthLocation

-P puerto
    Define el puerto al que conectarse en el equipo remoto.

-p  Conserva las horas de modificación, las horas de acceso y los modos de los archivos originales antes de ser transferidos.

-q  Modo silencioso: desactiva el indicador de progreso, los mensajes de advertencia y de diagnóstico de ssh(1).

-R num_solicitudes
    Define cuántas solicitudes pueden estar pendientes simultáneamente. Incrementar este valor puede mejorar ligeramente la velocidad de transferencia de archivos, pero también el uso de memoria. El valor predeterminado es de 64 solicitudes pendientes.

-r  Copia recursivamente directorios completos al cargar y descargar. Tenga en cuenta que sftp no seguirá los enlaces simbólicos encontrados al recorrer los directorios.

-S programa
    Nombre del programa file ... que se utilizará para la conexión cifrada. El programa debe tener soporte para las opciones de ssh(1).

-s subsistema | servidor_sftp
    Define el subsistema SSH2 o la ruta de un servidor SFTP en el equipo remoto. Una ruta será útil si el sshd(8) remoto no tiene un subsistema SFTP configurado.

-v  Aumentar el nivel de registro. Esta opción también se pasa a ssh.

-X opción_sftp
    Define una opción para controlar aspectos del comportamiento del protocolo SFTP. Las opciones válidas son:

    nrequests=value
        Define cuántas solicitudes de lectura o escritura SFTP simultáneas pueden estar en curso en cualquier momento durante una subida o bajada. De forma predeterminada, se pueden activar 64 solicitudes simultáneamente.

    buffer=value
        Define el tamaño máximo del búfer para una sola operación de lectura/escritura SFTP utilizada durante la subida o bajada. De forma predeterminada, se utiliza un búfer de 32 KB.

ÓRDENES INTERACTIVAS
En modo interactivo, sftp puede interpretar un conjunto similar de órdenes a ftp(1). Las órdenes no distinguen entre mayúsculas y minúsculas. Las rutas de acceso que contienen espacios deben ir entre comillas. Cualquier carácter especial contenido en las rutas de acceso reconocidas por glob(3) debe escaparse con barras invertidas (‘\’).

bye Sale de sftp.

cd [path]
    Cambia el directorio remoto a ruta. Si no se especifica nada, se cambia al directorio donde se inició la sesión.

chgrp
    [-h] grupo ruta Cambia el grupo del archivo ruta a grupo. ruta puede contener caracteres glob(7) y puede concordar con varios archivos. grupo debe ser un GID numérico.

    Si se especifica el indicador -h, no se seguirán los enlaces simbólicos. Tenga en cuenta que esto solo es compatible con servidores que implementan la extensión «lsetstat@openssh.com».

chmod
    [-h] modo ruta Cambia los permisos del archivo ruta a modo. ruta puede contener caracteres glob(7) y puede concordar con varios archivos.

    Si se especifica el indicador -h, no se seguirán los enlaces simbólicos. Tenga en cuenta que esto solo es compatible con servidores que implementan la extensión «lsetstat@openssh.com».

chown
    [-h] dueño ruta Cambia el propietario del archivo ruta a dueño. ruta puede contener caracteres glob(7) y puede coincidir con varios archivos. dueño debe ser un UID numérico.

    Si se especifica el indicador -h, no se seguirán los enlaces simbólicos. Tenga en cuenta que esto solo es compatible con servidores que implementan la extensión «lsetstat@openssh.com».

copy antigua_ruta nueva_ruta
    Copia el archivo remoto de antigua_ruta a nueva_ruta.

    Esto solo es compatible con servidores que implementan la extensión «copy-data».

cp antigua_ruta nueva_ruta
    Alias de la orden copy.

df  [-hi] [ruta] Muestra información de uso del sistema de archivos que contiene el directorio actual (o ruta si se definió). Si se especifica el indicador -h, la información de capacidad se mostrará mediante sufijos «humanamente legibles». El indicador -i solicita que se muestre información del inodo además de la información de capacidad. Esta orden solo es compatible con servidores que implementan la extensión “statvfs@openssh.com”.

exit
    Sale de sftp.

get [-afpR] ruta-remota [ruta-local] Recupera la ruta-remota y la guarda en el equipo local. Si no se especifica el nombre de la ruta local, se le asignará el mismo nombre que en el equipo remoto. ruta-remota puede contener caracteres glob(7) y puede concordar con varios archivos. Si los contiene y se especifica ruta-local, ésta última deberá definir un directorio.

    Si se define el indicador -a, se intentará reanudar las transferencias parciales de los archivos existentes. La reanudación asume que cualquier copia parcial del archivo local coincide con la copia remota. Si el contenido del archivo remoto difiere del de la copia local parcial, es probable que el archivo resultante esté corrupto.

    Si se especifica el indicador -f, se llamará a fsync(2) una vez completada la transferencia del archivo para volcarlo al disco.

    Si se define el indicador -p, también se copiarán todos los permisos del archivo y los tiempos de acceso.

    Si se especifica el indicador -R, los directorios se copiarán recursivamente. sftp no sigue enlaces simbólicos cuando realiza transferencias recursivas.

help
    Muestra un texto de ayuda.

lcd [ruta]
    Cambiar el directorio local a ruta. Si no se especifica ruta, cambiar al directorio personal del usuario local.

lls [opciones-ls [ruta]]
    Muestra la lista de directorios locales de ruta o del directorio actual si no se especifica ruta. opciones-ls puede contener cualquier indicador compatible con la orden ls(1) del sistema local. ruta puede contener caracteres glob(7) y concordar con varios archivos.

lmkdir ruta
    Crea el directorio local definido por ruta.

ln  [-s] antigua_ruta nueva_ruta Crea un enlace de antigua_ruta a nueva_ruta. Si se define el indicador -s, el enlace creado es simbólico, sino será físico.

lpwd
    Muestra el directorio de trabajo local.

ls  [-1afhlnrSt] [ruta] Muestra un listado de directorios remotos de ruta o del directorio actual si no se especifica. ruta puede contener caracteres glob(7) y concordar con varios archivos.

    Se reconocen los siguientes indicadores para modificar el comportamiento de ls:

    -1  Produce una salida de una sola columna.

    -a  Lista los archivos que empiezan por un punto (‘’)..

    -f  No ordena el listado. El orden de clasificación predeterminado es lexicográfico.

    -h  Al usar una opción de formato largo, emplea sufijos de unidad: byte, kilobyte, megabyte, gigabyte, terabyte, petabyte y exabyte para reducir el número de dígitos a cuatro o menos mediante potencias de 2 para los tamaños (K=1024, M=1048576, etc.).

    -l  Muestra detalles adicionales, incluyendo permisos e información de propiedad.

    -n  Genera un listado amplio con información de usuarios y grupos presentada numéricamente.

    -r  Invierte el orden de clasificación de la lista.

    -S  Ordena la lista en base al tamaño de archivo.

    -t  Ordena la lista por fecha en base a la última modificación.

lumask umask
    Define la umask local en umask.

mkdir path
    Crea el directorio remoto definido por ruta.

progress
    Activa o desactiva la visualización del indicador de progreso.

put [-afpR] ruta-local [ruta-remota] Carga ruta-local y lo guarda en el equipo remoto. Si no se especifica el nombre de la ruta remota, se le asigna el mismo nombre que tiene en el equipo local. ruta-local puede contener caracteres glob(7) y puede concordar con varios archivos. Si los contiene y se define ruta-remota, entonces ruta-remota debe ser un directorio.

    Si se define el indicador -a, se intentarán reanudar las transferencias parciales de los archivos existentes. Tenga en cuenta que la reanudación asume que cualquier copia parcial del archivo remoto coincide con la copia local. Si el contenido del archivo local difiere del de la copia local remota, es probable que el archivo resultante esté corrupto.

    Si se indica el indicador -f, se enviará una solicitud al servidor para llamar a fsync(2) después de la transferencia del archivo. Tenga en cuenta que esto solo es compatible con servidores que implementan la extensión «fsync@openssh.com».

    Si se define el indicador -p, también se copiarán todos los permisos del archivo y los tiempos de acceso.

    Si se especifica el indicador -R, los directorios se copiarán recursivamente. sftp no sigue enlaces simbólicos cuando realiza transferencias recursivas.

pwd Muestra el directorio de trabajo remoto.

quit
    Sale de sftp.

reget
    [-fpR] ruta-remota [ruta-local] Reanudar la descarga de ruta-remota. Equivalente a get con el indicador -a activado.

reput
    [-fpR] ruta-local [ruta-remota] Reanudar la carga de ruta-local. Equivalente a put con el indicador -a activado.

rename ruta-antigua ruta-nueva
    Cambiar el nombre del archivo remoto de ruta-antigua a ruta-nueva.

rm path
    Eliminar el archivo remoto definido en ruta.

rmdir path
    Eliminar el directorio remoto especificado por ruta.

symlink oldpath newpath
    Crear un enlace simbólico de antigua_ruta a nueva_ruta.

version
    Muestra la versión del protocolo sftp.

Orden!file ...
    Ejecuta orden en la shell local.

!   Escapar a la shell local.

?   Sinónimo de ayuda.

VÉASE TAMBIÉN
ftp(1), ls(1), scp(1), ssh(1), ssh-add(1), ssh-keygen(1), ssh_config(5), glob(7), sftp-server(8), sshd(8) T. Ylonen, S. Lehtinen, SSH File Transfer Protocol, draft-ietf-secsh-filexfer-00.txt, January 2001, work in progress material.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3: https://www.gnu.org/licenses/gpl-3.0.html o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.